Skip to main content
GET
List customer credits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to fetch customer credits for

Query Parameters

customer_id
string<uuid>

Filter customer credits by customer ID

sent_at_start
string<date-time>

Filter customer credits by sent date. Customer credits received on or after this date will be included. ISO 8601 date format.

sent_at_end
string<date-time>

Filter customer credits by sent date. Customer credits received before this date will be included. ISO 8601 date format.

memo
string

Filter customer credits by exact memo match.

memo_contains
string

Filter customer credits where memo contains this substring.

reference_numbers
string

Comma-separated list of reference numbers to filter customer credits by. Only customer credits with reference numbers matching any value in this list will be returned.

Response

200 - application/json

Success

id
string<uuid>
required

Unique identifier for the customer credit

customer
object
required

The customer associated with this credit

line_items
object[]
required

List of line items for this customer credit

created_at
string<date-time>
required

Timestamp when the customer credit was created

updated_at
string<date-time>
required

Timestamp when the customer credit was last updated

transaction_tags
object[]
required

List of tags associated with this customer credit

external_id
string

External identifier for the customer credit

sent_at
string<date-time>

Timestamp when the customer credit was sent

allocations
object[]

List of allocations for this customer credit

deleted_at
string<date-time>

Timestamp when the customer credit was deleted, if applicable

memo
string | null

Memo for any text you would like to associate with the customer credit (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the customer credit. Can be used to filter when listing customer credits.